//
// Created by shushiri on 25.2.19.
//

#ifndef RESTRICTED_APPROXIMATE_COVERS_COMPUTATION_H
#define RESTRICTED_APPROXIMATE_COVERS_COMPUTATION_H

#include <stringology/cover/ApproximateCoversComputation.h>


namespace stringology{
namespace cover {

class RestrictedApproximateCoversComputation {
public:
    template < class SymbolType >
    static ext::map  < ext::vector < SymbolType >, unsigned int > compute(const string::LinearString < SymbolType > & pattern, unsigned int k, bool restricted = 1);
};


template < class SymbolType >
ext::map  < ext::vector < SymbolType >, unsigned int > RestrictedApproximateCoversComputation::compute(
        const string::LinearString<SymbolType> &pattern, unsigned int k, bool restricted) {
    return stringology::cover::ApproximateCoversComputation::compute( pattern, k, restricted );
}


} /* namespace cover */
}/* namespace stringology */


#endif //RESTRICTED_APPROXIMATE_COVERS_COMPUTATION_H
